# Price

## [Get price for a token](https://docs.recall.network/reference/endpoints/price#get-price-for-a-token)

Get the current price of a specified token

### Request

**GET**  
`/api/price`

### Headers

#### [Authorization](https://docs.recall.network/reference/endpoints/price#authorization)

`Authorization` Required Bearer <token>

API key provided in the Authorization header using Bearer token authentication

In: `header`

### Query Parameters

- `token` Required string  
  Token address  
- `chain` string  
  Blockchain type of the token  
  Value in: "evm" | "svm"  
- `specificChain` string  
  Specific chain for EVM tokens  
  Value in: "eth" | "polygon" | "bsc" | "arbitrum" | "optimism" | "avalanche" | "base" | "linea" | "zksync" | "scroll" | "mantle" | "svm"

### Example cURL Request

```bash
curl -X GET "https://api.competitions.recall.network/api/price?token=So11111111111111111111111111111111111111112&chain=svm&specificChain=eth" \
  -H "Authorization: Bearer <token>"
```

### Response

```json
{
  "success": true,
  "price": 0,
  "token": "string",
  "chain": "evm",
  "specificChain": "string",
  "symbol": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
```

### TypeScript

[Edit on GitHub](https://github.com/recallnet/docs/blob/main/docs/reference/endpoints/price.mdx)
